'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _generator = require('./generator');

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.command('generate <schemaFilePath> <outputDir> <projectName>').option('-g, --groupid [groupid]', 'Maven Group Id (default=pt.lightweightform.<<projectName>>)').option('-a, --artifactid [artifactid]', 'Maven Artifact Id (default=<<projectName>>)').option('--skipModules [skipModules]', 'Skip creation of maven project (default=false)').option('--skipValidationMessages [skipValidationMessages]', 'Skip creation validation messages (default=false)').action(function (schemaFilePath, outputDir, projectName, options) {
  options.groupid = options.groupid || 'pt.lightweightform';
  options.artifactid = options.artifactid || projectName;
  (0, _generator.generate)(schemaFilePath, outputDir, projectName, options);
}); /**
     * @license
     * Copyright Opensoft. All Rights Reserved.
     *
     * Use of this source code is governed by an Apache 2 license that can be
     * found in the LICENSE file at https://bitbucket.org/opensoftgitrepo/lightweightform/src/develop/LICENSE
     */


_commander2.default.on('--help', function () {
  _utils.logger.info('');
  _utils.logger.info('    Options:');
  _utils.logger.info('       -g, --groupid                   Maven Group Id (default=pt.lightweightform.<<projectName>>)');
  _utils.logger.info('       -a, --artifactid                Maven Artifact Id (default=<<projectName>>)');
  _utils.logger.info('       --skipModules                   Skip creation of maven project (default=false)');
  _utils.logger.info('       --skipValidationMessages        Skip creation validation messages (default=false)');
  _utils.logger.info('  ');
  _utils.logger.info('  Examples:');
  _utils.logger.info('');
  _utils.logger.info('    $ generate src/test/schema.json target/module-generated lf-app');
  _utils.logger.info('    $ generate src/test/schema.json target/module-generated lf-app -g pt.lf.myapp -a myapp');
  _utils.logger.info('    $ generate src/test/schema.json target/module-generated lf-app -g pt.lf.myapp -a myapp --skipModules');
  _utils.logger.info('');
});

_commander2.default.parse(process.argv);