'use strict';

var _mkdirp = require('mkdirp');

var _mkdirp2 = _interopRequireDefault(_mkdirp);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _log4js = require('log4js');

var _log4js2 = _interopRequireDefault(_log4js);

var _camelcase2 = require('camelcase');

var _camelcase3 = _interopRequireDefault(_camelcase2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @license
 * Copyright Opensoft. All Rights Reserved.
 *
 * Use of this source code is governed by an Apache 2 license that can be
 * found in the LICENSE file at https://bitbucket.org/opensoftgitrepo/lightweightform/src/develop/LICENSE
 */
_log4js2.default.configure({
  appenders: {
    out: {
      type: 'stdout',
      layout: {
        type: 'pattern',
        pattern: '[%d] [%p] %[%m%]'
      }
    }
  },
  categories: { default: { appenders: ['out'], level: 'debug' } }
});
var logger = _log4js2.default.getLogger();

module.exports = {
  createDirectory: function createDirectory(directory) {
    _mkdirp2.default.sync(directory, function (err) {
      if (err) {
        logger.error('Failed creation of directory ' + directory);
      }
      logger.info('Directory ' + directory + ' was created!');
    });
  },
  writeFile: function writeFile(file, content) {
    _fs2.default.writeFile(file, content, function (err) {
      if (err) {
        logger.error('Failed creation of file ' + file);
      }
      logger.info('File ' + file + ' was created!');
    });
  },

  logger: {
    info: function info(message) {
      logger.info(message);
    },
    error: function error(message) {
      logger.error(message);
    },
    debug: function debug(message) {
      logger.debug(message);
    }
  },
  camelcase: function camelcase(word) {
    return (0, _camelcase3.default)(word, { pascalCase: true });
  }
};